### A free/open-source library for quantitative finance

Public Member Functions
OptionletStripper2 Class Reference

`#include <ql/termstructures/volatility/optionlet/optionletstripper2.hpp>`

Inheritance diagram for OptionletStripper2:
[legend]

List of all members.

## Public Member Functions

| OptionletStripper2 (const boost::shared_ptr< OptionletStripper1 > &optionletStripper1, const Handle< CapFloorTermVolCurve > &atmCapFloorTermVolCurve)
std::vector< Rate > | atmCapFloorStrikes () const
std::vector< Real > | atmCapFloorPrices () const
std::vector< Volatility > | spreadsVol () const
LazyObject interface
void | performCalculations () const

## Detailed Description

Helper class to extend an OptionletStripper1 object stripping additional optionlet (i.e. caplet/floorlet) volatilities (a.k.a. forward-forward volatilities) from the (cap/floor) At-The-Money term volatilities of a CapFloorTermVolCurve.

## Member Function Documentation

void performCalculations | ( |  | ) | const`[virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.